List vouchers
curl --request GET \
--url {schemes}://api.upsun.com/organizations/{organization_id}/vouchers \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/organizations/{organization_id}/vouchers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/organizations/{organization_id}/vouchers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vouchers_total": "<string>",
"vouchers_applied": "<string>",
"vouchers_remaining_balance": "<string>",
"currency": "<string>",
"vouchers": [
{
"code": "<string>",
"amount": "<string>",
"currency": "<string>",
"orders": [
{
"order_id": "<string>",
"status": "<string>",
"billing_period_start": "<string>",
"billing_period_end": "<string>",
"order_total": "<string>",
"order_discount": "<string>",
"currency": "<string>"
}
]
}
],
"_links": {
"self": {
"href": "<string>"
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}Vouchers
List vouchers
deprecated
Retrieves vouchers for the specified organization.
GET
/
organizations
/
{organization_id}
/
vouchers
List vouchers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the organization.
Prefix with name= to retrieve the organization by name instead.
Response
OK
The uuid of the user.
The total voucher credit given to the user.
The part of total voucher credit applied to orders.
The remaining voucher credit, available for future orders.
The currency of the vouchers.
Array of vouchers.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on June 16, 2026
Was this page helpful?